<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 *
 * This is the query engine.
 */
/**
 *
 */
class PHPDS_taggerListQuery extends PHPDS_query
{
	protected $sql = "SELECT tagID, tagObject, tagName, tagTarget, tagValue FROM _db_core_tags"; // WHERE tagTarget = '%s', tagObject = '%s', tagName = '%s', tagValue = '%s' ";
	protected $where = '1';

	public function extraBuild($parameters = null)
	{
		list($object, $name, $target) = $parameters;

		if (!empty($object)) $this->addWhere("tagObject = '%s'");
		if (!empty($name)) $this->addWhere("tagName = '%s'");
		if (!empty($target)) $this->addWhere("tagTarget = '%s'");

		return parent::extraBuild($parameters);
	}

}

/**
 * 
 */
class PHPDS_taggerLookupQuery extends  PHPDS_taggerListQuery
{
	protected $singleRow = true;
	protected $focus = 'tagValue';

	public function getResults()
	{
		return $this->asOne(0, $this->focus);
	}
}

/**
 *
 */
class PHPDS_taggerMarkQuery extends PHPDS_query
{
	protected $sql = "REPLACE INTO _db_core_tags SET tagObject = '%s', tagName = '%s', tagTarget = '%s', tagValue = '%s' ";
}
