<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/////////////////////////////////////////////////////////////////////////
// Template Module.                                                    //
/////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////
// Inconsistent Modules. ////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

// Logo Module
$module['logo'] = <<<MODULE
		<a href="%1\$s">
			<img src="%2\$s" class="logo" alt="%3\$s" title="%4\$s">
		</a>
MODULE;

// iFrame Module
$module['iframe'] = <<<MODULE
	<iframe src="%1\$s" name="iframe" height="%2\$s" frameborder="0" scrolling="auto" width="%3\$s" seamless></iframe>
MODULE;

// Result Module.
$module['result'] = <<<MODULE
		<tr class="highlight">
				<td class="no_results" colspan="%1\$s">
					%2\$s
				</td>
		</tr>
MODULE;

// Login Form Module.
$module['login_form'] = <<<MODULE
		<form id="login" action="%1\$s" method="post" class="validate">
				<div class="row">
						<div class="column grid_6">
								<p><label>%2\$s<input tabindex="1" type="text" size="20" name="user_name" required="required"></label></p>
								<p><label>%3\$s<input tabindex="2" type="password" size="20" name="user_password" required="required"></label></p>
								%4\$s
								<p>%7\$s</p>
								<p>
									<button type="submit" name="login"><span class="ui-icon ui-icon-key left"></span><span>%9\$s</span></button>
									%5\$s
									%6\$s
								</p>
								<input type="hidden" name="login" value="login">
								%8\$s
						</div>
				</div>
		</form>
MODULE;

// Result Module.
$module['queries_count'] = <<<MODULE
		<div id="queries">
			%1\$s
		</div>
MODULE;

/////////////////////////////////////////////////////////////////////////
// Information output notifications. ////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

// Heading Module.
$module['heading'] = <<<MODULE
	<div id="heading" class="ui-widget-header ui-corner-all">%1\$s</div>
MODULE;

// Info Module.
$module['info'] = <<<MODULE
	<div class="ui-corner-all info">
		<span class="ui-icon ui-icon-help left"></span>
		%1\$s
	</div>
MODULE;

// Script Icon.
$module['scriptIcon'] = <<<MODULE
	<img class="img" src="%1\$s" title="%2\$s" alt="%2\$s" />
MODULE;

// Scripthead Module.
$module['scripthead'] = <<<MODULE
	<div class="ui-state-default ui-corner-all scripthead">
		<span class="ui-icon ui-icon-tag left"></span>
		%1\$s
	</div>
MODULE;

// Error Module.
$module['error'] = <<<MODULE
	<div class="ui-corner-all error">
		<span class="ui-icon ui-icon-circle-close left"></span>
		%1\$s
	</div>
MODULE;

// Warning Module.
$module['warning'] = <<<MODULE
	<div class="ui-corner-all warning">
		<span class="ui-icon ui-icon-notice left"></span>
		%1\$s
	</div>
MODULE;

// Critical Module.
$module['critical'] = <<<MODULE
	<div class="ui-corner-all critical">
		<span class="ui-icon ui-icon-alert left"></span>
		%1\$s
	</div>
MODULE;

// Notice Module.
$module['notice'] = <<<MODULE
	<div class="ui-corner-all notice">
		<span class="ui-icon ui-icon-lightbulb left"></span>
		%1\$s
	</div>
MODULE;

// Busy Module.
$module['busy'] = <<<MODULE
	<div class="ui-corner-all busy">
		<span class="ui-icon ui-icon-flag left"></span>
		%1\$s
	</div>
MODULE;

// Message Module.
$module['message'] = <<<MODULE
	<div class="ui-corner-all message">
		<span class="ui-icon ui-icon-comment left"></span>
		%1\$s
	</div>
MODULE;

// Note Module.
$module['note'] = <<<MODULE
	<div class="ui-corner-all note">
		<span class="ui-icon ui-icon-pencil left"></span>
		%1\$s
	</div>
MODULE;

// Ok Module.
$module['ok'] = <<<MODULE
	<div class="ui-corner-all ok">
		<span class="ui-icon ui-icon-check left"></span>
		%1\$s
	</div>
MODULE;

// Icon Module.
$module['icon'] = <<<MODULE
	<img src="%1\$s" class="icon %3\$s" title="%2\$s" alt="%2\$s" />
MODULE;

// Tooltip Module.
$module['tooltip'] = <<<MODULE
	<a href="#" title="%1\$s" class="tooltip"><span class="ui-icon ui-icon-info"></span></a>
MODULE;

/////////////////////////////////////////////////////////////////////////
// Database Module.                                                    //
/////////////////////////////////////////////////////////////////////////

// No Results Module.
$module['no_results'] = <<<MODULE
	<div id="norecords" class="ui-state-disabled ui-corner-all">
		%1\$s
	</div>
MODULE;

// Results Module.
$module['results'] = <<<MODULE
	<div id="pagination">
		<ul id="results" class="ui-widget">
			%1\$s
			%2\$s
			%3\$s
			<li class="pages ui-state-default ui-corner-all"><span class="ui-icon ui-icon-clipboard left"></span>[%4\$s/%5\$s] - [%6\$s/%7\$s]</li>
			%8\$s
			%9\$s
			%10\$s
		</ul>
	</div>
MODULE;

// Search Module.
$module['search'] = <<<MODULE
	<form action="%1\$s" method="post">
		<div id="searchForm">
			<span class="ui-icon ui-icon-search left"></span><input id="search_field" type="text" size="40" name="search_field" value="%2\$s" class="%3\$s">
			<input type="hidden" value="Filter" name="search">
			%4\$s
		</div>
	</form>
MODULE;



$module['info_mark'] = <<<MODULE
	<a href="#" class="toolpopup">
		%1\$s
		<span>
			%2\$s
		</span>
	</a>
MODULE;
