<?php
/**
 * PHPDevShell is a RAD Framework aimed at developing administrative applications.
 *
 * @package PHPDevShell
 * @link http://www.phpdevshell.org
 * @copyright Copyright (C) 2007 Jason Schoeman, All rights reserved.
 * @license GNU/LGPL, see readme/licensed_under_lgpl or http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html
 * @author Jason Schoeman, Contact: titan [at] phpdevshell [dot] org.
 *
 * Copyright notice: See readme/notice
 * By using PHPDevShell you agree to notice and license, if you dont agree to this notice/license you are not allowed to use PHPDevShell.
 */

/////////////////////////////////////////////////////////////////////////
// Template Module.                                                    //
/////////////////////////////////////////////////////////////////////////

// Backwards compatible enabled for v2.
$module['bc'] = 2;

/////////////////////////////////////////////////////////////////////////
// Inconsistent Modules. ////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

// Login Module.
$module['login'] = <<<MODULE
	<span class="heading_name">
		%2\$s
	</span>
	<span class="heading_login">
		%3\$s, %4\$s, %5\$s, %6\$s
	</span>
MODULE;

// Logo Module
$module['logo'] = <<<MODULE
    <a href="%1\$s" class="logo_link">
        <img src="%2\$s" class="logo" alt="%3\$s" title="%4\$s">
    </a>
MODULE;

// iFrame Module
$module['iframe'] = <<<MODULE
	<tr class="highlight">
		<td class="main_iframe_td">
			<iframe src="%1\$s" name="iframe" class="main_iframe" height="%2\$s" frameborder="0" scrolling="auto">
			</iframe>
		</td>
	</tr>
MODULE;

// Result Module.
$module['result'] = <<<MODULE
    <tr class="highlight">
        <td class="no_results" colspan="%1\$s">
        	%2\$s
        </td>
    </tr>
MODULE;

// Login Form Module.
$module['login_form'] = <<<MODULE
	<form action="%1\$s" method="post">
		<tr class="highlight">
			<th>
				%2\$s
			</th>
			<td>
				%3\$s
				<input tabindex="1" type="text" size="20" name="user_name" value="" class="boxlogin">
				%4\$s
			</td>
		</tr>
		<tr class="highlight">
			<th>
				%5\$s
			</th>
			<td>
				%6\$s
				<input tabindex="2" type="password" size="20" name="user_password" value="" class="boxlogin">
				%7\$s
			</td>
		</tr>
		%8\$s
		%13\$s
		<tr class="highlight">
    		<th class="end" colspan="2">
				%9\$s
				%10\$s
				%11\$s
    		</th>
    	</tr>
    	%12\$s
	</form>
MODULE;

// Remeber Checkbox Module
$module['remember_checkbox'] = <<<MODULE
	<tr class="highlight">
		<th>
			%1\$s
		</th>
		<td>
			<input tabindex="3" type="checkbox" name="user_remember" value="remember">
			%2\$s
		</td>
	</tr>
MODULE;

// Result Module.
$module['queries_count'] = <<<MODULE
    <div class="queries_count">
    	%1\$s
    </div>
MODULE;

// Footer Module.
$module['footer'] = <<<MODULE
    <div id="_efoot">
    	%1\$s
    </div>
    <div id="_efoot_">
    	%2\$s
    </div>
    <div id="_efoot_">
    	%3\$s
    </div>
MODULE;

/////////////////////////////////////////////////////////////////////////
// Information output notifications. ////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

// Info Module.
$module['info'] = <<<MODULE
	<div id="outer_information_area">
		<div id="information_area">
			<div id="inner_information_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Heading Module.
$module['heading'] = <<<MODULE
	<div id="outer_heading_area">
		 <div id="heading_area">
			 <div id="inner_heading_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Scripthead Module.
$module['scripthead'] = <<<MODULE
	<div id="outer_scripthead_area">
		 <div id="scripthead_area">
			 <div id="inner_scripthead_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Warning Module.
$module['warning'] = <<<MODULE
	<div id="outer_warning_area">
		 <div id="warning_area">
			 <div id="inner_warning_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Critical Module.
$module['critical'] = <<<MODULE
	<div id="outer_critical_area">
		 <div id="critical_area">
			 <div id="inner_critical_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Notice Module.
$module['notice'] = <<<MODULE
	<div id="outer_notice_area">
		 <div id="notice_area">
			 <div id="inner_notice_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Busy Module.
$module['busy'] = <<<MODULE
	<div id="outer_busy_area">
		 <div id="busy_area">
			 <div id="inner_busy_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// message Module.
$module['message'] = <<<MODULE
	<div id="outer_message_area">
		 <div id="message_area">
			 <div id="inner_message_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Note Module.
$module['note'] = <<<MODULE
	<div id="outer_note_area">
		 <div id="note_area">
			 <div id="inner_note_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Ok Module.
$module['ok'] = <<<MODULE
	<div id="outer_ok_area">
		 <div id="ok_area">
			 <div id="inner_ok_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Icon Module.
$module['icon'] = <<<MODULE
	<div id="outer_icon_area">
		 <div id="icon_area">
			 <div id="inner_icon_area">
				%1\$s
			</div>
		</div>
	</div>
MODULE;

// Info Mark Module.
$module['info_mark'] = <<<MODULE
	<a href="#" class="toolpopup">
		 %1\$s
		 <span>
			 %2\$s
		 </span>
	</a>
MODULE;

/////////////////////////////////////////////////////////////////////////
// Database Module.                                                    //
/////////////////////////////////////////////////////////////////////////

// No Results Module.
$module['no_results'] = <<<MODULE
	<div id="outer_paging_area">
		<div id="paging_area">
			%1\$s
		</div>
	</div>
MODULE;

// Results Module.
$module['results'] = <<<MODULE
    <div id="outer_paging_area">
        <div id="paging_area">%1\$s
            <span id="paging_number">
                %2\$s
            </span>
           	%3\$s
        </div>
	</div>
MODULE;

// Search Module.
$module['search'] = <<<MODULE
	<form action="%1\$s" method="post">
		<div id="outer_search_area">
			<div id="search_area">
				<input type="text" size="20" name="search_field" value="%2\$s" class="boxsearch_filter">
				%3\$s
				<select name="filter_module_by" class="dropdown_filter">
					%4\$s
				</select>
				<select name="filter_module_order" class="dropdown_filter">
					<option value='ASC' %5\$s>%6\$s</option>
					<option value='DESC' %7\$s>%8\$s</option>
				</select>
				<select name="exact_match" class="dropdown_filter">
					<option value='1' %9\$s>%10\$s</option>
					<option value='2' %11\$s>%12\$s</option>
				</select>
				<input type="submit" value="Filter" name="search" class="boxsearch_filter">
				%13\$s
			</div>
		</div>
	</form>
MODULE;

?>